# frozen_string_literal: true

require 'tty/command'

module Krb
  module Download
    # Download methods
    class Base < ApplicationService
      def initialize
        super
        verify_setup
        verify_production
        @cmd = ::TTY::Command.new
      end

      def process
        @cmd.run('rm -rf ./content')
        @cmd.run("wget -q https://#{setup.dig('production_namespace')}.ngx.host/download -O ./content.zip")
        @cmd.run("unzip -q ./content.zip -d ./content")
        @cmd.run("rm -rf ./content/lost+found content.zip")
      end
    end
  end
end
