# frozen_string_literal: true

require 'http'
require 'tty-prompt'

module Krb
  module Setup
    # Sets up configuration
    class ApplyAdminCredentials < ApplicationService
      def process
        ask_api_key
        ask_password
      end

      private

      def ask_password
        input = prompt.mask(ask_password_phrase) { |q| q.required true }
        ::Krb::Setup::Update.process('admin_password' => input)
      end

      def ask_password_phrase
        'Please enter your shopify admin password key : '
      end

      def ask_api_key
        input = prompt.mask(ask_api_key_phrase) { |q| q.required true }
        ::Krb::Setup::Update.process('admin_api_key' => input)
      end

      def ask_api_key_phrase
        'Please enter your shopify admin api key : '
      end
    end
  end
end
