# frozen_string_literal: true

require 'http'
require 'tty-prompt'

module Krb
  module Setup
    # Sets up configuration
    class AskShopifyShopName < ApplicationService
      def process
        prompt.ask(ask_phrase) { |q| q.required true }
      end

      private

      def input
        @input ||= prompt.ask(ask_phrase) { |q| q.required true }
      end

      def ask_phrase
        'Please enter your shopify shop name : '
      end
    end
  end
end
