# frozen_string_literal: true

require 'base64'

module Krb
  module Webhooks
    # Webhooks methods
    class Reset < Base
      def process
        webhooks_list.each do |webhook|
          delete(webhook.dig('id'))
        end
      end

      private
      
      def delete(id)
        HTTP.headers(headers).delete(shopify_webhooks_delete_url(id))
      end

      def webhooks_list
        resp = HTTP.headers(headers).get(shopify_webhooks_url)
        JSON
          .parse(resp.to_s)
          .dig('webhooks')
          .select { |node| node.dig('topic').match(/products\//) }
      end
    end
  end
end
